From 79c0ed3305d13a507bcc76548c623a47449c1a3a Mon Sep 17 00:00:00 2001
From: Anne Jan Brouwer <brouwer@annejan.com>
Date: Wed, 20 Jun 2018 11:24:23 +0200
Subject: [PATCH] Backward compatibility with Qt 5.2 should solve #371

---
 README.md                          | 2 +-
 localization/localization_ar_MA.ts | 6 +++---
 localization/localization_ca.ts    | 6 +++---
 localization/localization_cs_CZ.ts | 6 +++---
 localization/localization_de_DE.ts | 6 +++---
 localization/localization_de_LU.ts | 6 +++---
 localization/localization_el_GR.ts | 6 +++---
 localization/localization_en_GB.ts | 6 +++---
 localization/localization_en_US.ts | 6 +++---
 localization/localization_es_ES.ts | 6 +++---
 localization/localization_fr_BE.ts | 6 +++---
 localization/localization_fr_FR.ts | 6 +++---
 localization/localization_fr_LU.ts | 6 +++---
 localization/localization_gl_ES.ts | 6 +++---
 localization/localization_he_IL.ts | 6 +++---
 localization/localization_hu_HU.ts | 6 +++---
 localization/localization_it_IT.ts | 6 +++---
 localization/localization_lb_LU.ts | 6 +++---
 localization/localization_nl_BE.ts | 6 +++---
 localization/localization_nl_NL.ts | 6 +++---
 localization/localization_pl_PL.ts | 6 +++---
 localization/localization_pt_PT.ts | 6 +++---
 localization/localization_ru_RU.ts | 6 +++---
 localization/localization_sv_SE.ts | 6 +++---
 localization/localization_zh_CN.ts | 6 +++---
 main/main.cpp                      | 4 +++-
 src/filecontent.h                  | 1 +
 src/usersdialog.cpp                | 2 ++
 28 files changed, 79 insertions(+), 74 deletions(-)

diff --git a/README.md b/README.md
index a6aca9e4..3d76c1ec 100644
--- a/README.md
+++ b/README.md
@@ -61,7 +61,7 @@ Windows
 
 **Dependencies**
 
-* QtPass requires Qt 5.
+* QtPass requires Qt 5.2 or later
 * The Linguist package is required to compile the translations.
 * For use of the fallback icons the SVG library is required.
 
diff --git a/localization/localization_ar_MA.ts b/localization/localization_ar_MA.ts
index 55c87a54..658ab937 100644
--- a/localization/localization_ar_MA.ts
+++ b/localization/localization_ar_MA.ts
@@ -882,7 +882,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translatorcomment>Flips interface</translatorcomment>
         <translation>RTL</translation>
@@ -960,12 +960,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_ca.ts b/localization/localization_ca.ts
index 7616ba01..df018811 100644
--- a/localization/localization_ca.ts
+++ b/localization/localization_ca.ts
@@ -955,7 +955,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1035,12 +1035,12 @@ Les entrades vermelles no són vàlides, no podreu xifrar.</translation>
         <translation>Mostra les claus inutilitzables</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>creada</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>venç</translation>
     </message>
diff --git a/localization/localization_cs_CZ.ts b/localization/localization_cs_CZ.ts
index 473cb5c4..3a9a3c49 100644
--- a/localization/localization_cs_CZ.ts
+++ b/localization/localization_cs_CZ.ts
@@ -944,7 +944,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1024,12 +1024,12 @@ Modře označené záznamy poskytují tajný klíč, vyberte jeden z nich, kter
         <translation>Zobrazit nepoužitelné klíče</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>vytvořen</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>vyprší</translation>
     </message>
diff --git a/localization/localization_de_DE.ts b/localization/localization_de_DE.ts
index 1b3a64f1..eba05a9f 100755
--- a/localization/localization_de_DE.ts
+++ b/localization/localization_de_DE.ts
@@ -934,7 +934,7 @@ Neues Passwort-Datei:
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1014,12 +1014,12 @@ Die roten Einträge sind ungültig / abgelaufen und für Entschlüsselung nicht
         <translation>unbrauchbare Schlüssel anzeigen</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>erstellt</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>gültig bis</translation>
     </message>
diff --git a/localization/localization_de_LU.ts b/localization/localization_de_LU.ts
index 8e944745..b3952b33 100755
--- a/localization/localization_de_LU.ts
+++ b/localization/localization_de_LU.ts
@@ -929,7 +929,7 @@ Neues Passwort-Datei:
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1009,12 +1009,12 @@ Die roten Einträge sind ungültig / abgelaufen und für Entschlüsselung nicht
         <translation>unbrauchbare Schlüssel anzeigen</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>erstellt</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>gültig bis</translation>
     </message>
diff --git a/localization/localization_el_GR.ts b/localization/localization_el_GR.ts
index 694282e8..d94bb263 100644
--- a/localization/localization_el_GR.ts
+++ b/localization/localization_el_GR.ts
@@ -882,7 +882,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation type="unfinished"></translation>
     </message>
@@ -959,12 +959,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_en_GB.ts b/localization/localization_en_GB.ts
index 8631e8c3..1bb29260 100644
--- a/localization/localization_en_GB.ts
+++ b/localization/localization_en_GB.ts
@@ -955,7 +955,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1035,12 +1035,12 @@ Red entries are not valid, you will not be able to encrypt to these.</translatio
         <translation>Show unusable keys</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>created</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expires</translation>
     </message>
diff --git a/localization/localization_en_US.ts b/localization/localization_en_US.ts
index d07b2d49..2ae77e56 100644
--- a/localization/localization_en_US.ts
+++ b/localization/localization_en_US.ts
@@ -955,7 +955,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1035,12 +1035,12 @@ Red entries are not valid, you will not be able to encrypt to these.</translatio
         <translation>Show unusable keys</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>created</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expires</translation>
     </message>
diff --git a/localization/localization_es_ES.ts b/localization/localization_es_ES.ts
index 6ef7e792..a2b5ecc6 100644
--- a/localization/localization_es_ES.ts
+++ b/localization/localization_es_ES.ts
@@ -911,7 +911,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation></translation>
     </message>
@@ -991,12 +991,12 @@ Entradas rojas no son válidos, usted no será capaz de cifrar a estos.</transla
         <translation>Mostrar claves no usables</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>creado</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>caduca</translation>
     </message>
diff --git a/localization/localization_fr_BE.ts b/localization/localization_fr_BE.ts
index d1bba42e..91ff3a36 100644
--- a/localization/localization_fr_BE.ts
+++ b/localization/localization_fr_BE.ts
@@ -944,7 +944,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>GAD</translation>
     </message>
@@ -1024,12 +1024,12 @@ Les entrées en rouge ne sont pas marquées comme étant de confiance dans GnuPG
         <translation>Afficher les clés inutilisables</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>créé</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expire</translation>
     </message>
diff --git a/localization/localization_fr_FR.ts b/localization/localization_fr_FR.ts
index 2aab67d2..bd1fda7b 100644
--- a/localization/localization_fr_FR.ts
+++ b/localization/localization_fr_FR.ts
@@ -965,7 +965,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>GAD</translation>
     </message>
@@ -1045,12 +1045,12 @@ Les entrées rouges ne sont pas valides, vous ne pourrez pas vous en servir pour
         <translation>Afficher les clés inutilisables</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>créé</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expire</translation>
     </message>
diff --git a/localization/localization_fr_LU.ts b/localization/localization_fr_LU.ts
index 25e0b167..c17d1040 100644
--- a/localization/localization_fr_LU.ts
+++ b/localization/localization_fr_LU.ts
@@ -944,7 +944,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>GAD</translation>
     </message>
@@ -1024,12 +1024,12 @@ Les entrées en rouge ne sont pas marquées comme étant de confiance dans GnuPG
         <translation>Afficher les clés inutilisables</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>créé</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expire</translation>
     </message>
diff --git a/localization/localization_gl_ES.ts b/localization/localization_gl_ES.ts
index a1c83e88..e792404a 100644
--- a/localization/localization_gl_ES.ts
+++ b/localization/localization_gl_ES.ts
@@ -997,7 +997,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1074,12 +1074,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_he_IL.ts b/localization/localization_he_IL.ts
index 31809bd1..24f808d9 100644
--- a/localization/localization_he_IL.ts
+++ b/localization/localization_he_IL.ts
@@ -882,7 +882,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translatorcomment>Flips interface</translatorcomment>
         <translation>RTL</translation>
@@ -960,12 +960,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_hu_HU.ts b/localization/localization_hu_HU.ts
index 46b280c5..af879930 100644
--- a/localization/localization_hu_HU.ts
+++ b/localization/localization_hu_HU.ts
@@ -886,7 +886,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation></translation>
     </message>
@@ -963,12 +963,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_it_IT.ts b/localization/localization_it_IT.ts
index 879c8107..2e47fcb6 100644
--- a/localization/localization_it_IT.ts
+++ b/localization/localization_it_IT.ts
@@ -970,7 +970,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation></translation>
     </message>
@@ -1050,12 +1050,12 @@ Le righe rosse non sono valide, non saranno utilizzabili per cifrare.</translati
         <translation>Mostra chiavi non utilizzabili</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>creato</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>scade</translation>
     </message>
diff --git a/localization/localization_lb_LU.ts b/localization/localization_lb_LU.ts
index b5c50349..0d49615c 100644
--- a/localization/localization_lb_LU.ts
+++ b/localization/localization_lb_LU.ts
@@ -882,7 +882,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation type="unfinished"></translation>
     </message>
@@ -959,12 +959,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_nl_BE.ts b/localization/localization_nl_BE.ts
index c8f91e9b..f645fc87 100644
--- a/localization/localization_nl_BE.ts
+++ b/localization/localization_nl_BE.ts
@@ -948,7 +948,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1028,12 +1028,12 @@ Rode inzendingen zijn niet geldig, je zult niet in staat zijn om te coderen voor
         <translation>Toon onbruikbare sleutels</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>aangemaakt</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>vervalt</translation>
     </message>
diff --git a/localization/localization_nl_NL.ts b/localization/localization_nl_NL.ts
index 0909151d..475480d4 100644
--- a/localization/localization_nl_NL.ts
+++ b/localization/localization_nl_NL.ts
@@ -948,7 +948,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1028,12 +1028,12 @@ Rode inzendingen zijn niet geldig, je zult niet in staat zijn om te coderen voor
         <translation>Toon onbruikbare sleutels</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>aangemaakt</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>vervalt</translation>
     </message>
diff --git a/localization/localization_pl_PL.ts b/localization/localization_pl_PL.ts
index 09746e01..41951d15 100644
--- a/localization/localization_pl_PL.ts
+++ b/localization/localization_pl_PL.ts
@@ -882,7 +882,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation type="unfinished"></translation>
     </message>
@@ -959,12 +959,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation type="unfinished"></translation>
     </message>
diff --git a/localization/localization_pt_PT.ts b/localization/localization_pt_PT.ts
index 0e753414..776a90ee 100644
--- a/localization/localization_pt_PT.ts
+++ b/localization/localization_pt_PT.ts
@@ -919,7 +919,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -999,12 +999,12 @@ Os elementos a vermelho não são válidos. Não será possível desencriptar ut
         <translation>Mostrar chaves não utilizáveis</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>criado</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>expira</translation>
     </message>
diff --git a/localization/localization_ru_RU.ts b/localization/localization_ru_RU.ts
index 63c86564..b1f292a3 100644
--- a/localization/localization_ru_RU.ts
+++ b/localization/localization_ru_RU.ts
@@ -943,7 +943,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>LTR</translation>
     </message>
@@ -1023,12 +1023,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation>Показать непригодные ключи</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>создан</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>истекает</translation>
     </message>
diff --git a/localization/localization_sv_SE.ts b/localization/localization_sv_SE.ts
index 72083bac..dfd03dfd 100644
--- a/localization/localization_sv_SE.ts
+++ b/localization/localization_sv_SE.ts
@@ -912,7 +912,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation></translation>
     </message>
@@ -993,12 +993,12 @@ Röd färg betyder att nyckeln är ogiltig. Du kan inte använda någon av dessa
         <translation>Visa oanvändbara nycklar</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>skapad</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>utgår</translation>
     </message>
diff --git a/localization/localization_zh_CN.ts b/localization/localization_zh_CN.ts
index 1d7c3c6b..4306a7fd 100644
--- a/localization/localization_zh_CN.ts
+++ b/localization/localization_zh_CN.ts
@@ -943,7 +943,7 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../main/main.cpp" line="81"/>
+        <location filename="../main/main.cpp" line="83"/>
         <source>LTR</source>
         <translation>从左到右</translation>
     </message>
@@ -1023,12 +1023,12 @@ Red entries are not valid, you will not be able to encrypt to these.</source>
         <translation>显示不可用密钥</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="76"/>
+        <location filename="../src/usersdialog.cpp" line="78"/>
         <source>created</source>
         <translation>创建于</translation>
     </message>
     <message>
-        <location filename="../src/usersdialog.cpp" line="80"/>
+        <location filename="../src/usersdialog.cpp" line="82"/>
         <source>expires</source>
         <translation>过期于</translation>
     </message>
diff --git a/main/main.cpp b/main/main.cpp
index 41fcd955..bf9e0db6 100644
--- a/main/main.cpp
+++ b/main/main.cpp
@@ -18,7 +18,7 @@
  *
  * \subsection dependencies Dependencies
  *
- * - QtPass requires Qt 4.8 or later, preferably Qt5.5 or later.
+ * - QtPass requires Qt 5.2 or later.
  * - The Linguist package is required to compile the translations.
  * - For use of the fallback icons the SVG library is required.
  *
@@ -39,7 +39,9 @@
  * @return
  */
 int main(int argc, char *argv[]) {
+#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
   QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
+#endif
   QString text = "";
   for (int i = 1; i < argc; ++i) {
     if (i > 1)
diff --git a/src/filecontent.h b/src/filecontent.h
index 8cc0e338..7e169870 100644
--- a/src/filecontent.h
+++ b/src/filecontent.h
@@ -3,6 +3,7 @@
 
 #include <QList>
 #include <QString>
+#include <QStringList>
 
 struct NamedValue {
   QString name;
diff --git a/src/usersdialog.cpp b/src/usersdialog.cpp
index 23b99e03..b2df2916 100644
--- a/src/usersdialog.cpp
+++ b/src/usersdialog.cpp
@@ -1,7 +1,9 @@
 #include "usersdialog.h"
 #include "debughelper.h"
 #include "ui_usersdialog.h"
+#include <QCloseEvent>
 #include <QRegExp>
+#include <QWidget>
 
 /**
  * @brief UsersDialog::UsersDialog basic constructor
